kr.co.hanwha.hifive.util

## Class HFDateUtil

- java.lang.Object
- - kr.co.hanwha.hifive.util.HFDateUtil

-     public class HFDateUtil
      extends java.lang.Object

  Created by sanghoonkwon on 2018. 1. 18..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FORMAT_CALENDAR_MONTH_DISPLAY` 캘린더용 월 표시 포맷
    `static java.lang.String` | `FORMAT_COMMON_SERVER` 기본 날짜 포맷
    `static java.lang.String` | `FORMAT_DAY`
    `static java.lang.String` | `FORMAT_DEFAULT_HOME` HOME 기본 오늘 날짜 포맷
    `static java.lang.String` | `FORMAT_MM_DD`
    `static java.lang.String` | `FORMAT_MMM_D`
    `static java.lang.String` | `FORMAT_MONTH`
    `static java.lang.String` | `FORMAT_TASK_ADD_DUEDATE_SERVER` TASK 등록시 사용하는 날짜 포맷
    `static java.lang.String` | `FORMAT_TASK_DUEDATE_DISPLAY` TASK 기한 설정 날짜 포맷
    `static java.lang.String` | `FORMAT_TASK_DUEDATE_SERVER` TASK 기한설정 날짜 포맷 - Server
    `static java.lang.String` | `FORMAT_YEAR`
    `static java.lang.String` | `FORMAT_YYYY_MM_DD` yyyy-MM-dd

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HFDateUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkIsToday(java.lang.String inputDate, java.lang.String format)` 오늘인지 확인
    `static boolean` | `checkOverDuedate(java.lang.String inputDate)`
    `static boolean` | `checkSelectedDate(int year, int month, int date, java.lang.String dueTime)` 날짜 비교
    `static boolean` | `checkTwoWeeksFromToday(int year, int month, int date)` 오늘 포함 2주 이내인지 확인
    `static int` | `getActualMaximum(int year, int month)` 마지막 날짜 반환
    `static int` | `getCalculateDDayFromToday(java.lang.String inputDate)`
    `static int` | `getCalculateDDayFromToday(java.lang.String inputDate, java.lang.String format)` D-Day 계산
    `static java.lang.String` | `getChangeDateFormat(java.lang.String inputDate, java.lang.String inputFormat, java.lang.String outputFormat)` 날짜 포맷 변경
    `static java.lang.String` | `getDateFormat(int year, int month, int date, java.lang.String format)` 오늘 날짜
    `static java.lang.String` | `getDateFormatCommon(android.content.Context context, java.lang.String inputDate)`
    `private static java.lang.String` | `getDateFormatFromTimestamp(long time, java.lang.String format)` 날짜 포맷 변경
    `static java.lang.String` | `getDateFormatFromToday(java.lang.String format)` 오늘 날짜 -> 지정 포맷으로 변경
    `static java.lang.String` | `getDateFormatToday()` 오늘 날짜
    `static java.lang.String` | `getDateFormatToday(java.lang.String format)` 오늘 날짜
    `static java.lang.String` | `getDateHelpdesk()` 도와줘야 개발팀 - 기한설정(2주)
    `static int` | `getDayOfWeek(int year, int month, int date)` 요일 반환
    `private static long` | `getTimestampFromStringFormat(java.lang.String inputDate, java.lang.String format)` String Date -> Timestamp
    `static long` | `getTimestampToday()` 현재 시각(Timestamp)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORMAT_COMMON_SERVER

          public static java.lang.String FORMAT_COMMON_SERVER

      기본 날짜 포맷

    - #### FORMAT_TASK_DUEDATE_SERVER

          public static java.lang.String FORMAT_TASK_DUEDATE_SERVER

      TASK 기한설정 날짜 포맷 - Server

    - #### FORMAT_DEFAULT_HOME

          public static java.lang.String FORMAT_DEFAULT_HOME

      HOME 기본 오늘 날짜 포맷

    - #### FORMAT_TASK_ADD_DUEDATE_SERVER

          public static java.lang.String FORMAT_TASK_ADD_DUEDATE_SERVER

      TASK 등록시 사용하는 날짜 포맷

    - #### FORMAT_CALENDAR_MONTH_DISPLAY

          public static java.lang.String FORMAT_CALENDAR_MONTH_DISPLAY

      캘린더용 월 표시 포맷

    - #### FORMAT_TASK_DUEDATE_DISPLAY

          public static java.lang.String FORMAT_TASK_DUEDATE_DISPLAY

      TASK 기한 설정 날짜 포맷

    - #### FORMAT_YYYY_MM_DD

          public static java.lang.String FORMAT_YYYY_MM_DD

      yyyy-MM-dd

    - #### FORMAT_MM_DD

          public static java.lang.String FORMAT_MM_DD

    - #### FORMAT_MMM_D

          public static java.lang.String FORMAT_MMM_D

    - #### FORMAT_YEAR

          public static java.lang.String FORMAT_YEAR

    - #### FORMAT_MONTH

          public static java.lang.String FORMAT_MONTH

    - #### FORMAT_DAY

          public static java.lang.String FORMAT_DAY

  - ### Constructor Detail

    - #### HFDateUtil

          public HFDateUtil()

  - ### Method Detail

    - #### getDateFormatToday

          public static java.lang.String getDateFormatToday()

      오늘 날짜
      Returns:
        날짜 포맷 d, MMMM, EEEE

    - #### getDateFormatToday

          public static java.lang.String getDateFormatToday(@NonNull
                                                            java.lang.String format)

      오늘 날짜
      Returns:
        지정 날짜 포맷

    - #### getDateHelpdesk

          public static java.lang.String getDateHelpdesk()

      도와줘야 개발팀 - 기한설정(2주)

    - #### getDateFormat

          public static java.lang.String getDateFormat(int year,
                                                       int month,
                                                       int date,
                                                       java.lang.String format)

      오늘 날짜
      Returns:
        지정 날짜 포맷

    - #### checkIsToday

          public static boolean checkIsToday(@NonNull
                                             java.lang.String inputDate,
                                             @NonNull
                                             java.lang.String format)

      오늘인지 확인
      Parameters:
        `inputDate` - 입력 날짜
        `format` - 입력 날짜 포맷
      Returns:
        Boolean

    - #### getDateFormatCommon

          public static java.lang.String getDateFormatCommon(@NonNull
                                                             android.content.Context context,
                                                             @NonNull
                                                             java.lang.String inputDate)

      Parameters:
        `inputDate` - String 형식 날짜
      Returns:
        시간 표시

    - #### getChangeDateFormat

          public static java.lang.String getChangeDateFormat(@NonNull
                                                             java.lang.String inputDate,
                                                             @NonNull
                                                             java.lang.String inputFormat,
                                                             @NonNull
                                                             java.lang.String outputFormat)

      날짜 포맷 변경
      Parameters:
        `inputDate` - String 형식 날짜
        `inputFormat` - 입력 날짜 포맷
        `outputFormat` - 출력 날짜 포맷
      Returns:
        String

    - #### getDateFormatFromTimestamp

          private static java.lang.String getDateFormatFromTimestamp(@NonNull
                                                                     long time,
                                                                     @NonNull
                                                                     java.lang.String format)

      날짜 포맷 변경
      Parameters:
        `time` - Timestamp
        `format` - 지정 포맷
      Returns:
        String

    - #### getActualMaximum

          public static int getActualMaximum(int year,
                                             int month)

      마지막 날짜 반환
      Parameters:
        `year` - 년도
        `month` - 월
      Returns:
        일

    - #### getDayOfWeek

          public static int getDayOfWeek(int year,
                                         int month,
                                         int date)

      요일 반환
      Parameters:
        `year` - 년도
        `month` - 월
        `date` - 일
      Returns:
        요일

    - #### checkTwoWeeksFromToday

          public static boolean checkTwoWeeksFromToday(int year,
                                                       int month,
                                                       int date)

      오늘 포함 2주 이내인지 확인
      Parameters:
        `year` - 년도
        `month` - 월
        `date` - 일
      Returns:
        Boolean

    - #### checkSelectedDate

          public static boolean checkSelectedDate(int year,
                                                  int month,
                                                  int date,
                                                  java.lang.String dueTime)

      날짜 비교
      Parameters:
        `year` -
        `month` -
        `date` -
        `dueTime` -
      Returns:
        Boolean

    - #### getDateFormatFromToday

          public static java.lang.String getDateFormatFromToday(java.lang.String format)

      오늘 날짜 -> 지정 포맷으로 변경
      Parameters:
        `format` - 지정 포맷
      Returns:
        String

    - #### getTimestampFromStringFormat

          private static long getTimestampFromStringFormat(@NonNull
                                                           java.lang.String inputDate,
                                                           @NonNull
                                                           java.lang.String format)

      String Date -> Timestamp
      Parameters:
        `inputDate` - 날짜 문자열
        `format` - 날짜 포맷
      Returns:
        Timestamp

    - #### getCalculateDDayFromToday

          public static int getCalculateDDayFromToday(@NonNull
                                                      java.lang.String inputDate,
                                                      @NonNull
                                                      java.lang.String format)

      D-Day 계산
      Parameters:
        `inputDate` -
        `format` -
      Returns:
        D-day 계산

    - #### getCalculateDDayFromToday

          public static int getCalculateDDayFromToday(@NonNull
                                                      java.lang.String inputDate)

    - #### checkOverDuedate

          public static boolean checkOverDuedate(@NonNull
                                                 java.lang.String inputDate)

    - #### getTimestampToday

          public static long getTimestampToday()

      현재 시각(Timestamp)
      Returns:
        Timestamp